{{ ansible_managed | comment }}
[Unit]
Description=SVIG Service

[Service]
User={{ svig_user }}
Group={{ svig_group }}
WorkingDirectory={{ svig_home }}
ExecStart={{ java_path }} -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005 \
-Xmx1024m -Dhttps.protocols=TLSv1.2 -Dfile.encoding=UTF-8 -Dhttps.proxyHost={{ svig_proxy_host }} \
-Dhttps.proxyPort={{ svig_proxy_port }} -Djava.net.preferIPv4Stack=true \
-Djavax.xml.transform.TransformerFactory=com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl \
-Djavax.xml.parsers.DocumentBuilderFactory=com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl \
-Djavax.xml.parsers.SAXParserFactory=com.sun.org.apache.xerces.internal.jaxp.SAXParserFactoryImpl \
-Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=8857 -Dcom.sun.management.jmxremote.ssl=false \
-Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.local.only=false \
-Dcom.sun.management.jmxremote.rmi.port=8857 -Djava.rmi.server.hostname={{ ansible_host }}
-jar {{ svig_home }}/{{ svig_symlink }}

SuccessExitStatus=143
TimeoutStopSec=10
Restart=on-failure
RestartSec=5

LimitNOFILE=500000
LimitNPROC=500000

[Install]
WantedBy=multi-user.target
